# This file was automatically created by FeynRules 2.3.10
# Mathematica version: 10.2.0 for Linux x86 (64-bit) (July 6, 2015)
# Date: Fri 20 Nov 2015 23:59:52


from object_library import all_decays, Decay
import particles as P


Decay_b = Decay(name = 'Decay_b',
                particle = P.b,
                partial_widths = {(P.sdm,P.bp):'((3*KBsDMbL**2*MB**2 + 3*KBsDMbR**2*MB**2 + 12*KBsDMbL*KBsDMbR*MB*MBP + 3*KBsDMbL**2*MBP**2 + 3*KBsDMbR**2*MBP**2 - 3*KBsDMbL**2*Msdm**2 - 3*KBsDMbR**2*Msdm**2)*cmath.sqrt(MB**4 - 2*MB**2*MBP**2 + MBP**4 - 2*MB**2*Msdm**2 - 2*MBP**2*Msdm**2 + Msdm**4))/(96.*cmath.pi*abs(MB)**3)',
                                  (P.vdm,P.bp):'((3*KBvDMbL**2*MB**2 + 3*KBvDMbR**2*MB**2 - 36*KBvDMbL*KBvDMbR*MB*MBP + 3*KBvDMbL**2*MBP**2 + 3*KBvDMbR**2*MBP**2 + (3*KBvDMbL**2*MB**4)/Mvdm**2 + (3*KBvDMbR**2*MB**4)/Mvdm**2 - (6*KBvDMbL**2*MB**2*MBP**2)/Mvdm**2 - (6*KBvDMbR**2*MB**2*MBP**2)/Mvdm**2 + (3*KBvDMbL**2*MBP**4)/Mvdm**2 + (3*KBvDMbR**2*MBP**4)/Mvdm**2 - 6*KBvDMbL**2*Mvdm**2 - 6*KBvDMbR**2*Mvdm**2)*cmath.sqrt(MB**4 - 2*MB**2*MBP**2 + MBP**4 - 2*MB**2*Mvdm**2 - 2*MBP**2*Mvdm**2 + Mvdm**4))/(96.*cmath.pi*abs(MB)**3)',
                                  (P.W__minus__,P.t):'(((3*ee**2*MB**2)/(2.*sw**2) + (3*ee**2*MT**2)/(2.*sw**2) + (3*ee**2*MB**4)/(2.*MW**2*sw**2) - (3*ee**2*MB**2*MT**2)/(MW**2*sw**2) + (3*ee**2*MT**4)/(2.*MW**2*sw**2) - (3*ee**2*MW**2)/sw**2)*cmath.sqrt(MB**4 - 2*MB**2*MT**2 + MT**4 - 2*MB**2*MW**2 - 2*MT**2*MW**2 + MW**4))/(96.*cmath.pi*abs(MB)**3)'})

Decay_bp = Decay(name = 'Decay_bp',
                 particle = P.bp,
                 partial_widths = {(P.sdm,P.b):'((3*KBsDMbL**2*MB**2 + 3*KBsDMbR**2*MB**2 + 12*KBsDMbL*KBsDMbR*MB*MBP + 3*KBsDMbL**2*MBP**2 + 3*KBsDMbR**2*MBP**2 - 3*KBsDMbL**2*Msdm**2 - 3*KBsDMbR**2*Msdm**2)*cmath.sqrt(MB**4 - 2*MB**2*MBP**2 + MBP**4 - 2*MB**2*Msdm**2 - 2*MBP**2*Msdm**2 + Msdm**4))/(96.*cmath.pi*abs(MBP)**3)',
                                   (P.sdm,P.d):'((MBP**2 - Msdm**2)*(3*KBsDMdL**2*MBP**2 + 3*KBsDMdR**2*MBP**2 - 3*KBsDMdL**2*Msdm**2 - 3*KBsDMdR**2*Msdm**2))/(96.*cmath.pi*abs(MBP)**3)',
                                   (P.sdm,P.s):'((MBP**2 - Msdm**2)*(3*KBsDMsL**2*MBP**2 + 3*KBsDMsR**2*MBP**2 - 3*KBsDMsL**2*Msdm**2 - 3*KBsDMsR**2*Msdm**2))/(96.*cmath.pi*abs(MBP)**3)',
                                   (P.vdm,P.b):'((3*KBvDMbL**2*MB**2 + 3*KBvDMbR**2*MB**2 - 36*KBvDMbL*KBvDMbR*MB*MBP + 3*KBvDMbL**2*MBP**2 + 3*KBvDMbR**2*MBP**2 + (3*KBvDMbL**2*MB**4)/Mvdm**2 + (3*KBvDMbR**2*MB**4)/Mvdm**2 - (6*KBvDMbL**2*MB**2*MBP**2)/Mvdm**2 - (6*KBvDMbR**2*MB**2*MBP**2)/Mvdm**2 + (3*KBvDMbL**2*MBP**4)/Mvdm**2 + (3*KBvDMbR**2*MBP**4)/Mvdm**2 - 6*KBvDMbL**2*Mvdm**2 - 6*KBvDMbR**2*Mvdm**2)*cmath.sqrt(MB**4 - 2*MB**2*MBP**2 + MBP**4 - 2*MB**2*Mvdm**2 - 2*MBP**2*Mvdm**2 + Mvdm**4))/(96.*cmath.pi*abs(MBP)**3)',
                                   (P.vdm,P.d):'((MBP**2 - Mvdm**2)*(3*KBvDMdL**2*MBP**2 + 3*KBvDMdR**2*MBP**2 + (3*KBvDMdL**2*MBP**4)/Mvdm**2 + (3*KBvDMdR**2*MBP**4)/Mvdm**2 - 6*KBvDMdL**2*Mvdm**2 - 6*KBvDMdR**2*Mvdm**2))/(96.*cmath.pi*abs(MBP)**3)',
                                   (P.vdm,P.s):'((MBP**2 - Mvdm**2)*(3*KBvDMsL**2*MBP**2 + 3*KBvDMsR**2*MBP**2 + (3*KBvDMsL**2*MBP**4)/Mvdm**2 + (3*KBvDMsR**2*MBP**4)/Mvdm**2 - 6*KBvDMsL**2*Mvdm**2 - 6*KBvDMsR**2*Mvdm**2))/(96.*cmath.pi*abs(MBP)**3)'})

Decay_H = Decay(name = 'Decay_H',
                particle = P.H,
                partial_widths = {(P.b,P.b__tilde__):'((-12*MB**2*yb**2 + 3*MH**2*yb**2)*cmath.sqrt(-4*MB**2*MH**2 + MH**4))/(16.*cmath.pi*abs(MH)**3)',
                                  (P.t,P.t__tilde__):'((3*MH**2*yt**2 - 12*MT**2*yt**2)*cmath.sqrt(MH**4 - 4*MH**2*MT**2))/(16.*cmath.pi*abs(MH)**3)',
                                  (P.ta__minus__,P.ta__plus__):'((MH**2*ytau**2 - 4*MTA**2*ytau**2)*cmath.sqrt(MH**4 - 4*MH**2*MTA**2))/(16.*cmath.pi*abs(MH)**3)',
                                  (P.W__minus__,P.W__plus__):'(((3*ee**4*vev**2)/(4.*sw**4) + (ee**4*MH**4*vev**2)/(16.*MW**4*sw**4) - (ee**4*MH**2*vev**2)/(4.*MW**2*sw**4))*cmath.sqrt(MH**4 - 4*MH**2*MW**2))/(16.*cmath.pi*abs(MH)**3)',
                                  (P.Z,P.Z):'(((9*ee**4*vev**2)/2. + (3*ee**4*MH**4*vev**2)/(8.*MZ**4) - (3*ee**4*MH**2*vev**2)/(2.*MZ**2) + (3*cw**4*ee**4*vev**2)/(4.*sw**4) + (cw**4*ee**4*MH**4*vev**2)/(16.*MZ**4*sw**4) - (cw**4*ee**4*MH**2*vev**2)/(4.*MZ**2*sw**4) + (3*cw**2*ee**4*vev**2)/sw**2 + (cw**2*ee**4*MH**4*vev**2)/(4.*MZ**4*sw**2) - (cw**2*ee**4*MH**2*vev**2)/(MZ**2*sw**2) + (3*ee**4*sw**2*vev**2)/cw**2 + (ee**4*MH**4*sw**2*vev**2)/(4.*cw**2*MZ**4) - (ee**4*MH**2*sw**2*vev**2)/(cw**2*MZ**2) + (3*ee**4*sw**4*vev**2)/(4.*cw**4) + (ee**4*MH**4*sw**4*vev**2)/(16.*cw**4*MZ**4) - (ee**4*MH**2*sw**4*vev**2)/(4.*cw**4*MZ**2))*cmath.sqrt(MH**4 - 4*MH**2*MZ**2))/(32.*cmath.pi*abs(MH)**3)'})

Decay_sdm = Decay(name = 'Decay_sdm',
                  particle = P.sdm,
                  partial_widths = {(P.b,P.bp__tilde__):'((-3*KBsDMbL**2*MB**2 - 3*KBsDMbR**2*MB**2 - 12*KBsDMbL*KBsDMbR*MB*MBP - 3*KBsDMbL**2*MBP**2 - 3*KBsDMbR**2*MBP**2 + 3*KBsDMbL**2*Msdm**2 + 3*KBsDMbR**2*Msdm**2)*cmath.sqrt(MB**4 - 2*MB**2*MBP**2 + MBP**4 - 2*MB**2*Msdm**2 - 2*MBP**2*Msdm**2 + Msdm**4))/(16.*cmath.pi*abs(Msdm)**3)',
                                    (P.bp,P.b__tilde__):'((-3*KBsDMbL**2*MB**2 - 3*KBsDMbR**2*MB**2 - 12*KBsDMbL*KBsDMbR*MB*MBP - 3*KBsDMbL**2*MBP**2 - 3*KBsDMbR**2*MBP**2 + 3*KBsDMbL**2*Msdm**2 + 3*KBsDMbR**2*Msdm**2)*cmath.sqrt(MB**4 - 2*MB**2*MBP**2 + MBP**4 - 2*MB**2*Msdm**2 - 2*MBP**2*Msdm**2 + Msdm**4))/(16.*cmath.pi*abs(Msdm)**3)',
                                    (P.bp,P.d__tilde__):'((-MBP**2 + Msdm**2)*(-3*KBsDMdL**2*MBP**2 - 3*KBsDMdR**2*MBP**2 + 3*KBsDMdL**2*Msdm**2 + 3*KBsDMdR**2*Msdm**2))/(16.*cmath.pi*abs(Msdm)**3)',
                                    (P.bp,P.s__tilde__):'((-MBP**2 + Msdm**2)*(-3*KBsDMsL**2*MBP**2 - 3*KBsDMsR**2*MBP**2 + 3*KBsDMsL**2*Msdm**2 + 3*KBsDMsR**2*Msdm**2))/(16.*cmath.pi*abs(Msdm)**3)',
                                    (P.c,P.tp__tilde__):'((Msdm**2 - MTP**2)*(3*KTsDMcL**2*Msdm**2 + 3*KTsDMcR**2*Msdm**2 - 3*KTsDMcL**2*MTP**2 - 3*KTsDMcR**2*MTP**2))/(16.*cmath.pi*abs(Msdm)**3)',
                                    (P.d,P.bp__tilde__):'((-MBP**2 + Msdm**2)*(-3*KBsDMdL**2*MBP**2 - 3*KBsDMdR**2*MBP**2 + 3*KBsDMdL**2*Msdm**2 + 3*KBsDMdR**2*Msdm**2))/(16.*cmath.pi*abs(Msdm)**3)',
                                    (P.s,P.bp__tilde__):'((-MBP**2 + Msdm**2)*(-3*KBsDMsL**2*MBP**2 - 3*KBsDMsR**2*MBP**2 + 3*KBsDMsL**2*Msdm**2 + 3*KBsDMsR**2*Msdm**2))/(16.*cmath.pi*abs(Msdm)**3)',
                                    (P.t,P.tp__tilde__):'((3*KTsDMtL**2*Msdm**2 + 3*KTsDMtR**2*Msdm**2 - 3*KTsDMtL**2*MT**2 - 3*KTsDMtR**2*MT**2 - 12*KTsDMtL*KTsDMtR*MT*MTP - 3*KTsDMtL**2*MTP**2 - 3*KTsDMtR**2*MTP**2)*cmath.sqrt(Msdm**4 - 2*Msdm**2*MT**2 + MT**4 - 2*Msdm**2*MTP**2 - 2*MT**2*MTP**2 + MTP**4))/(16.*cmath.pi*abs(Msdm)**3)',
                                    (P.tp,P.c__tilde__):'((Msdm**2 - MTP**2)*(3*KTsDMcL**2*Msdm**2 + 3*KTsDMcR**2*Msdm**2 - 3*KTsDMcL**2*MTP**2 - 3*KTsDMcR**2*MTP**2))/(16.*cmath.pi*abs(Msdm)**3)',
                                    (P.tp,P.t__tilde__):'((3*KTsDMtL**2*Msdm**2 + 3*KTsDMtR**2*Msdm**2 - 3*KTsDMtL**2*MT**2 - 3*KTsDMtR**2*MT**2 - 12*KTsDMtL*KTsDMtR*MT*MTP - 3*KTsDMtL**2*MTP**2 - 3*KTsDMtR**2*MTP**2)*cmath.sqrt(Msdm**4 - 2*Msdm**2*MT**2 + MT**4 - 2*Msdm**2*MTP**2 - 2*MT**2*MTP**2 + MTP**4))/(16.*cmath.pi*abs(Msdm)**3)',
                                    (P.tp,P.u__tilde__):'((Msdm**2 - MTP**2)*(3*KTsDMuL**2*Msdm**2 + 3*KTsDMuR**2*Msdm**2 - 3*KTsDMuL**2*MTP**2 - 3*KTsDMuR**2*MTP**2))/(16.*cmath.pi*abs(Msdm)**3)',
                                    (P.u,P.tp__tilde__):'((Msdm**2 - MTP**2)*(3*KTsDMuL**2*Msdm**2 + 3*KTsDMuR**2*Msdm**2 - 3*KTsDMuL**2*MTP**2 - 3*KTsDMuR**2*MTP**2))/(16.*cmath.pi*abs(Msdm)**3)'})

Decay_t = Decay(name = 'Decay_t',
                particle = P.t,
                partial_widths = {(P.sdm,P.tp):'((-3*KTsDMtL**2*Msdm**2 - 3*KTsDMtR**2*Msdm**2 + 3*KTsDMtL**2*MT**2 + 3*KTsDMtR**2*MT**2 + 12*KTsDMtL*KTsDMtR*MT*MTP + 3*KTsDMtL**2*MTP**2 + 3*KTsDMtR**2*MTP**2)*cmath.sqrt(Msdm**4 - 2*Msdm**2*MT**2 + MT**4 - 2*Msdm**2*MTP**2 - 2*MT**2*MTP**2 + MTP**4))/(96.*cmath.pi*abs(MT)**3)',
                                  (P.vdm,P.tp):'((3*KTvDMtL**2*MT**2 + 3*KTvDMtR**2*MT**2 - 36*KTvDMtL*KTvDMtR*MT*MTP + 3*KTvDMtL**2*MTP**2 + 3*KTvDMtR**2*MTP**2 + (3*KTvDMtL**2*MT**4)/Mvdm**2 + (3*KTvDMtR**2*MT**4)/Mvdm**2 - (6*KTvDMtL**2*MT**2*MTP**2)/Mvdm**2 - (6*KTvDMtR**2*MT**2*MTP**2)/Mvdm**2 + (3*KTvDMtL**2*MTP**4)/Mvdm**2 + (3*KTvDMtR**2*MTP**4)/Mvdm**2 - 6*KTvDMtL**2*Mvdm**2 - 6*KTvDMtR**2*Mvdm**2)*cmath.sqrt(MT**4 - 2*MT**2*MTP**2 + MTP**4 - 2*MT**2*Mvdm**2 - 2*MTP**2*Mvdm**2 + Mvdm**4))/(96.*cmath.pi*abs(MT)**3)',
                                  (P.W__plus__,P.b):'(((3*ee**2*MB**2)/(2.*sw**2) + (3*ee**2*MT**2)/(2.*sw**2) + (3*ee**2*MB**4)/(2.*MW**2*sw**2) - (3*ee**2*MB**2*MT**2)/(MW**2*sw**2) + (3*ee**2*MT**4)/(2.*MW**2*sw**2) - (3*ee**2*MW**2)/sw**2)*cmath.sqrt(MB**4 - 2*MB**2*MT**2 + MT**4 - 2*MB**2*MW**2 - 2*MT**2*MW**2 + MW**4))/(96.*cmath.pi*abs(MT)**3)'})

Decay_ta__minus__ = Decay(name = 'Decay_ta__minus__',
                          particle = P.ta__minus__,
                          partial_widths = {(P.W__minus__,P.vt):'((MTA**2 - MW**2)*((ee**2*MTA**2)/(2.*sw**2) + (ee**2*MTA**4)/(2.*MW**2*sw**2) - (ee**2*MW**2)/sw**2))/(32.*cmath.pi*abs(MTA)**3)'})

Decay_tp = Decay(name = 'Decay_tp',
                 particle = P.tp,
                 partial_widths = {(P.sdm,P.c):'((-Msdm**2 + MTP**2)*(-3*KTsDMcL**2*Msdm**2 - 3*KTsDMcR**2*Msdm**2 + 3*KTsDMcL**2*MTP**2 + 3*KTsDMcR**2*MTP**2))/(96.*cmath.pi*abs(MTP)**3)',
                                   (P.sdm,P.t):'((-3*KTsDMtL**2*Msdm**2 - 3*KTsDMtR**2*Msdm**2 + 3*KTsDMtL**2*MT**2 + 3*KTsDMtR**2*MT**2 + 12*KTsDMtL*KTsDMtR*MT*MTP + 3*KTsDMtL**2*MTP**2 + 3*KTsDMtR**2*MTP**2)*cmath.sqrt(Msdm**4 - 2*Msdm**2*MT**2 + MT**4 - 2*Msdm**2*MTP**2 - 2*MT**2*MTP**2 + MTP**4))/(96.*cmath.pi*abs(MTP)**3)',
                                   (P.sdm,P.u):'((-Msdm**2 + MTP**2)*(-3*KTsDMuL**2*Msdm**2 - 3*KTsDMuR**2*Msdm**2 + 3*KTsDMuL**2*MTP**2 + 3*KTsDMuR**2*MTP**2))/(96.*cmath.pi*abs(MTP)**3)',
                                   (P.vdm,P.c):'((MTP**2 - Mvdm**2)*(3*KTvDMcL**2*MTP**2 + 3*KTvDMcR**2*MTP**2 + (3*KTvDMcL**2*MTP**4)/Mvdm**2 + (3*KTvDMcR**2*MTP**4)/Mvdm**2 - 6*KTvDMcL**2*Mvdm**2 - 6*KTvDMcR**2*Mvdm**2))/(96.*cmath.pi*abs(MTP)**3)',
                                   (P.vdm,P.t):'((3*KTvDMtL**2*MT**2 + 3*KTvDMtR**2*MT**2 - 36*KTvDMtL*KTvDMtR*MT*MTP + 3*KTvDMtL**2*MTP**2 + 3*KTvDMtR**2*MTP**2 + (3*KTvDMtL**2*MT**4)/Mvdm**2 + (3*KTvDMtR**2*MT**4)/Mvdm**2 - (6*KTvDMtL**2*MT**2*MTP**2)/Mvdm**2 - (6*KTvDMtR**2*MT**2*MTP**2)/Mvdm**2 + (3*KTvDMtL**2*MTP**4)/Mvdm**2 + (3*KTvDMtR**2*MTP**4)/Mvdm**2 - 6*KTvDMtL**2*Mvdm**2 - 6*KTvDMtR**2*Mvdm**2)*cmath.sqrt(MT**4 - 2*MT**2*MTP**2 + MTP**4 - 2*MT**2*Mvdm**2 - 2*MTP**2*Mvdm**2 + Mvdm**4))/(96.*cmath.pi*abs(MTP)**3)',
                                   (P.vdm,P.u):'((MTP**2 - Mvdm**2)*(3*KTvDMuL**2*MTP**2 + 3*KTvDMuR**2*MTP**2 + (3*KTvDMuL**2*MTP**4)/Mvdm**2 + (3*KTvDMuR**2*MTP**4)/Mvdm**2 - 6*KTvDMuL**2*Mvdm**2 - 6*KTvDMuR**2*Mvdm**2))/(96.*cmath.pi*abs(MTP)**3)'})

Decay_vdm = Decay(name = 'Decay_vdm',
                  particle = P.vdm,
                  partial_widths = {(P.b,P.bp__tilde__):'((-3*KBvDMbL**2*MB**2 - 3*KBvDMbR**2*MB**2 + 36*KBvDMbL*KBvDMbR*MB*MBP - 3*KBvDMbL**2*MBP**2 - 3*KBvDMbR**2*MBP**2 - (3*KBvDMbL**2*MB**4)/Mvdm**2 - (3*KBvDMbR**2*MB**4)/Mvdm**2 + (6*KBvDMbL**2*MB**2*MBP**2)/Mvdm**2 + (6*KBvDMbR**2*MB**2*MBP**2)/Mvdm**2 - (3*KBvDMbL**2*MBP**4)/Mvdm**2 - (3*KBvDMbR**2*MBP**4)/Mvdm**2 + 6*KBvDMbL**2*Mvdm**2 + 6*KBvDMbR**2*Mvdm**2)*cmath.sqrt(MB**4 - 2*MB**2*MBP**2 + MBP**4 - 2*MB**2*Mvdm**2 - 2*MBP**2*Mvdm**2 + Mvdm**4))/(48.*cmath.pi*abs(Mvdm)**3)',
                                    (P.bp,P.b__tilde__):'((-3*KBvDMbL**2*MB**2 - 3*KBvDMbR**2*MB**2 + 36*KBvDMbL*KBvDMbR*MB*MBP - 3*KBvDMbL**2*MBP**2 - 3*KBvDMbR**2*MBP**2 - (3*KBvDMbL**2*MB**4)/Mvdm**2 - (3*KBvDMbR**2*MB**4)/Mvdm**2 + (6*KBvDMbL**2*MB**2*MBP**2)/Mvdm**2 + (6*KBvDMbR**2*MB**2*MBP**2)/Mvdm**2 - (3*KBvDMbL**2*MBP**4)/Mvdm**2 - (3*KBvDMbR**2*MBP**4)/Mvdm**2 + 6*KBvDMbL**2*Mvdm**2 + 6*KBvDMbR**2*Mvdm**2)*cmath.sqrt(MB**4 - 2*MB**2*MBP**2 + MBP**4 - 2*MB**2*Mvdm**2 - 2*MBP**2*Mvdm**2 + Mvdm**4))/(48.*cmath.pi*abs(Mvdm)**3)',
                                    (P.bp,P.d__tilde__):'((-MBP**2 + Mvdm**2)*(-3*KBvDMdL**2*MBP**2 - 3*KBvDMdR**2*MBP**2 - (3*KBvDMdL**2*MBP**4)/Mvdm**2 - (3*KBvDMdR**2*MBP**4)/Mvdm**2 + 6*KBvDMdL**2*Mvdm**2 + 6*KBvDMdR**2*Mvdm**2))/(48.*cmath.pi*abs(Mvdm)**3)',
                                    (P.bp,P.s__tilde__):'((-MBP**2 + Mvdm**2)*(-3*KBvDMsL**2*MBP**2 - 3*KBvDMsR**2*MBP**2 - (3*KBvDMsL**2*MBP**4)/Mvdm**2 - (3*KBvDMsR**2*MBP**4)/Mvdm**2 + 6*KBvDMsL**2*Mvdm**2 + 6*KBvDMsR**2*Mvdm**2))/(48.*cmath.pi*abs(Mvdm)**3)',
                                    (P.c,P.tp__tilde__):'((-MTP**2 + Mvdm**2)*(-3*KTvDMcL**2*MTP**2 - 3*KTvDMcR**2*MTP**2 - (3*KTvDMcL**2*MTP**4)/Mvdm**2 - (3*KTvDMcR**2*MTP**4)/Mvdm**2 + 6*KTvDMcL**2*Mvdm**2 + 6*KTvDMcR**2*Mvdm**2))/(48.*cmath.pi*abs(Mvdm)**3)',
                                    (P.d,P.bp__tilde__):'((-MBP**2 + Mvdm**2)*(-3*KBvDMdL**2*MBP**2 - 3*KBvDMdR**2*MBP**2 - (3*KBvDMdL**2*MBP**4)/Mvdm**2 - (3*KBvDMdR**2*MBP**4)/Mvdm**2 + 6*KBvDMdL**2*Mvdm**2 + 6*KBvDMdR**2*Mvdm**2))/(48.*cmath.pi*abs(Mvdm)**3)',
                                    (P.s,P.bp__tilde__):'((-MBP**2 + Mvdm**2)*(-3*KBvDMsL**2*MBP**2 - 3*KBvDMsR**2*MBP**2 - (3*KBvDMsL**2*MBP**4)/Mvdm**2 - (3*KBvDMsR**2*MBP**4)/Mvdm**2 + 6*KBvDMsL**2*Mvdm**2 + 6*KBvDMsR**2*Mvdm**2))/(48.*cmath.pi*abs(Mvdm)**3)',
                                    (P.t,P.tp__tilde__):'((-3*KTvDMtL**2*MT**2 - 3*KTvDMtR**2*MT**2 + 36*KTvDMtL*KTvDMtR*MT*MTP - 3*KTvDMtL**2*MTP**2 - 3*KTvDMtR**2*MTP**2 - (3*KTvDMtL**2*MT**4)/Mvdm**2 - (3*KTvDMtR**2*MT**4)/Mvdm**2 + (6*KTvDMtL**2*MT**2*MTP**2)/Mvdm**2 + (6*KTvDMtR**2*MT**2*MTP**2)/Mvdm**2 - (3*KTvDMtL**2*MTP**4)/Mvdm**2 - (3*KTvDMtR**2*MTP**4)/Mvdm**2 + 6*KTvDMtL**2*Mvdm**2 + 6*KTvDMtR**2*Mvdm**2)*cmath.sqrt(MT**4 - 2*MT**2*MTP**2 + MTP**4 - 2*MT**2*Mvdm**2 - 2*MTP**2*Mvdm**2 + Mvdm**4))/(48.*cmath.pi*abs(Mvdm)**3)',
                                    (P.tp,P.c__tilde__):'((-MTP**2 + Mvdm**2)*(-3*KTvDMcL**2*MTP**2 - 3*KTvDMcR**2*MTP**2 - (3*KTvDMcL**2*MTP**4)/Mvdm**2 - (3*KTvDMcR**2*MTP**4)/Mvdm**2 + 6*KTvDMcL**2*Mvdm**2 + 6*KTvDMcR**2*Mvdm**2))/(48.*cmath.pi*abs(Mvdm)**3)',
                                    (P.tp,P.t__tilde__):'((-3*KTvDMtL**2*MT**2 - 3*KTvDMtR**2*MT**2 + 36*KTvDMtL*KTvDMtR*MT*MTP - 3*KTvDMtL**2*MTP**2 - 3*KTvDMtR**2*MTP**2 - (3*KTvDMtL**2*MT**4)/Mvdm**2 - (3*KTvDMtR**2*MT**4)/Mvdm**2 + (6*KTvDMtL**2*MT**2*MTP**2)/Mvdm**2 + (6*KTvDMtR**2*MT**2*MTP**2)/Mvdm**2 - (3*KTvDMtL**2*MTP**4)/Mvdm**2 - (3*KTvDMtR**2*MTP**4)/Mvdm**2 + 6*KTvDMtL**2*Mvdm**2 + 6*KTvDMtR**2*Mvdm**2)*cmath.sqrt(MT**4 - 2*MT**2*MTP**2 + MTP**4 - 2*MT**2*Mvdm**2 - 2*MTP**2*Mvdm**2 + Mvdm**4))/(48.*cmath.pi*abs(Mvdm)**3)',
                                    (P.tp,P.u__tilde__):'((-MTP**2 + Mvdm**2)*(-3*KTvDMuL**2*MTP**2 - 3*KTvDMuR**2*MTP**2 - (3*KTvDMuL**2*MTP**4)/Mvdm**2 - (3*KTvDMuR**2*MTP**4)/Mvdm**2 + 6*KTvDMuL**2*Mvdm**2 + 6*KTvDMuR**2*Mvdm**2))/(48.*cmath.pi*abs(Mvdm)**3)',
                                    (P.u,P.tp__tilde__):'((-MTP**2 + Mvdm**2)*(-3*KTvDMuL**2*MTP**2 - 3*KTvDMuR**2*MTP**2 - (3*KTvDMuL**2*MTP**4)/Mvdm**2 - (3*KTvDMuR**2*MTP**4)/Mvdm**2 + 6*KTvDMuL**2*Mvdm**2 + 6*KTvDMuR**2*Mvdm**2))/(48.*cmath.pi*abs(Mvdm)**3)'})

Decay_W__plus__ = Decay(name = 'Decay_W__plus__',
                        particle = P.W__plus__,
                        partial_widths = {(P.c,P.s__tilde__):'(ee**2*MW**4)/(16.*cmath.pi*sw**2*abs(MW)**3)',
                                          (P.t,P.b__tilde__):'(((-3*ee**2*MB**2)/(2.*sw**2) - (3*ee**2*MT**2)/(2.*sw**2) - (3*ee**2*MB**4)/(2.*MW**2*sw**2) + (3*ee**2*MB**2*MT**2)/(MW**2*sw**2) - (3*ee**2*MT**4)/(2.*MW**2*sw**2) + (3*ee**2*MW**2)/sw**2)*cmath.sqrt(MB**4 - 2*MB**2*MT**2 + MT**4 - 2*MB**2*MW**2 - 2*MT**2*MW**2 + MW**4))/(48.*cmath.pi*abs(MW)**3)',
                                          (P.u,P.d__tilde__):'(ee**2*MW**4)/(16.*cmath.pi*sw**2*abs(MW)**3)',
                                          (P.ve,P.e__plus__):'(ee**2*MW**4)/(48.*cmath.pi*sw**2*abs(MW)**3)',
                                          (P.vm,P.mu__plus__):'(ee**2*MW**4)/(48.*cmath.pi*sw**2*abs(MW)**3)',
                                          (P.vt,P.ta__plus__):'((-MTA**2 + MW**2)*(-(ee**2*MTA**2)/(2.*sw**2) - (ee**2*MTA**4)/(2.*MW**2*sw**2) + (ee**2*MW**2)/sw**2))/(48.*cmath.pi*abs(MW)**3)'})

Decay_Z = Decay(name = 'Decay_Z',
                particle = P.Z,
                partial_widths = {(P.b,P.b__tilde__):'((-7*ee**2*MB**2 + ee**2*MZ**2 - (3*cw**2*ee**2*MB**2)/(2.*sw**2) + (3*cw**2*ee**2*MZ**2)/(2.*sw**2) - (17*ee**2*MB**2*sw**2)/(6.*cw**2) + (5*ee**2*MZ**2*sw**2)/(6.*cw**2))*cmath.sqrt(-4*MB**2*MZ**2 + MZ**4))/(48.*cmath.pi*abs(MZ)**3)',
                                  (P.bp,P.bp__tilde__):'(((-6*BWeakIsospin**2*ee**2*MBP**2)/(cw**2*sw**2) + (6*BWeakIsospin**2*ee**2*MZ**2)/(cw**2*sw**2) + (8*BWeakIsospin*ee**2*MBP**2*sw2)/(cw**2*sw**2) + (4*BWeakIsospin*ee**2*MZ**2*sw2)/(cw**2*sw**2) + (8*ee**2*MBP**2*sw2**2)/(3.*cw**2*sw**2) + (4*ee**2*MZ**2*sw2**2)/(3.*cw**2*sw**2))*cmath.sqrt(-4*MBP**2*MZ**2 + MZ**4))/(48.*cmath.pi*abs(MZ)**3)',
                                  (P.c,P.c__tilde__):'(MZ**2*(-(ee**2*MZ**2) + (3*cw**2*ee**2*MZ**2)/(2.*sw**2) + (17*ee**2*MZ**2*sw**2)/(6.*cw**2)))/(48.*cmath.pi*abs(MZ)**3)',
                                  (P.d,P.d__tilde__):'(MZ**2*(ee**2*MZ**2 + (3*cw**2*ee**2*MZ**2)/(2.*sw**2) + (5*ee**2*MZ**2*sw**2)/(6.*cw**2)))/(48.*cmath.pi*abs(MZ)**3)',
                                  (P.e__minus__,P.e__plus__):'(MZ**2*(-(ee**2*MZ**2) + (cw**2*ee**2*MZ**2)/(2.*sw**2) + (5*ee**2*MZ**2*sw**2)/(2.*cw**2)))/(48.*cmath.pi*abs(MZ)**3)',
                                  (P.mu__minus__,P.mu__plus__):'(MZ**2*(-(ee**2*MZ**2) + (cw**2*ee**2*MZ**2)/(2.*sw**2) + (5*ee**2*MZ**2*sw**2)/(2.*cw**2)))/(48.*cmath.pi*abs(MZ)**3)',
                                  (P.s,P.s__tilde__):'(MZ**2*(ee**2*MZ**2 + (3*cw**2*ee**2*MZ**2)/(2.*sw**2) + (5*ee**2*MZ**2*sw**2)/(6.*cw**2)))/(48.*cmath.pi*abs(MZ)**3)',
                                  (P.t,P.t__tilde__):'((-11*ee**2*MT**2 - ee**2*MZ**2 - (3*cw**2*ee**2*MT**2)/(2.*sw**2) + (3*cw**2*ee**2*MZ**2)/(2.*sw**2) + (7*ee**2*MT**2*sw**2)/(6.*cw**2) + (17*ee**2*MZ**2*sw**2)/(6.*cw**2))*cmath.sqrt(-4*MT**2*MZ**2 + MZ**4))/(48.*cmath.pi*abs(MZ)**3)',
                                  (P.ta__minus__,P.ta__plus__):'((-5*ee**2*MTA**2 - ee**2*MZ**2 - (cw**2*ee**2*MTA**2)/(2.*sw**2) + (cw**2*ee**2*MZ**2)/(2.*sw**2) + (7*ee**2*MTA**2*sw**2)/(2.*cw**2) + (5*ee**2*MZ**2*sw**2)/(2.*cw**2))*cmath.sqrt(-4*MTA**2*MZ**2 + MZ**4))/(48.*cmath.pi*abs(MZ)**3)',
                                  (P.tp,P.tp__tilde__):'(((32*ee**2*MTP**2*sw2**2)/(3.*cw**2*sw**2) + (16*ee**2*MZ**2*sw2**2)/(3.*cw**2*sw**2) - (16*ee**2*MTP**2*sw2*TWeakIsospin)/(cw**2*sw**2) - (8*ee**2*MZ**2*sw2*TWeakIsospin)/(cw**2*sw**2) - (6*ee**2*MTP**2*TWeakIsospin**2)/(cw**2*sw**2) + (6*ee**2*MZ**2*TWeakIsospin**2)/(cw**2*sw**2))*cmath.sqrt(-4*MTP**2*MZ**2 + MZ**4))/(48.*cmath.pi*abs(MZ)**3)',
                                  (P.u,P.u__tilde__):'(MZ**2*(-(ee**2*MZ**2) + (3*cw**2*ee**2*MZ**2)/(2.*sw**2) + (17*ee**2*MZ**2*sw**2)/(6.*cw**2)))/(48.*cmath.pi*abs(MZ)**3)',
                                  (P.ve,P.ve__tilde__):'(MZ**2*(ee**2*MZ**2 + (cw**2*ee**2*MZ**2)/(2.*sw**2) + (ee**2*MZ**2*sw**2)/(2.*cw**2)))/(48.*cmath.pi*abs(MZ)**3)',
                                  (P.vm,P.vm__tilde__):'(MZ**2*(ee**2*MZ**2 + (cw**2*ee**2*MZ**2)/(2.*sw**2) + (ee**2*MZ**2*sw**2)/(2.*cw**2)))/(48.*cmath.pi*abs(MZ)**3)',
                                  (P.vt,P.vt__tilde__):'(MZ**2*(ee**2*MZ**2 + (cw**2*ee**2*MZ**2)/(2.*sw**2) + (ee**2*MZ**2*sw**2)/(2.*cw**2)))/(48.*cmath.pi*abs(MZ)**3)',
                                  (P.W__minus__,P.W__plus__):'(((-12*cw**2*ee**2*MW**2)/sw**2 - (17*cw**2*ee**2*MZ**2)/sw**2 + (4*cw**2*ee**2*MZ**4)/(MW**2*sw**2) + (cw**2*ee**2*MZ**6)/(4.*MW**4*sw**2))*cmath.sqrt(-4*MW**2*MZ**2 + MZ**4))/(48.*cmath.pi*abs(MZ)**3)'})

