# This file was automatically created by FeynRules 2.3.10
# Mathematica version: 10.2.0 for Linux x86 (64-bit) (July 6, 2015)
# Date: Fri 20 Nov 2015 23:59:52



from object_library import all_parameters, Parameter


from function_library import complexconjugate, re, im, csc, sec, acsc, asec, cot

# This is a default parameter object representing 0.
ZERO = Parameter(name = 'ZERO',
                 nature = 'internal',
                 type = 'real',
                 value = '0.0',
                 texname = '0')

# User-defined parameters.
KBsDMdL = Parameter(name = 'KBsDMdL',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{KBsDMdL}',
                    lhablock = 'KBDM',
                    lhacode = [ 1 ])

KBsDMsL = Parameter(name = 'KBsDMsL',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{KBsDMsL}',
                    lhablock = 'KBDM',
                    lhacode = [ 2 ])

KBsDMbL = Parameter(name = 'KBsDMbL',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{KBsDMbL}',
                    lhablock = 'KBDM',
                    lhacode = [ 3 ])

KBsDMdR = Parameter(name = 'KBsDMdR',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{KBsDMdR}',
                    lhablock = 'KBDM',
                    lhacode = [ 4 ])

KBsDMsR = Parameter(name = 'KBsDMsR',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{KBsDMsR}',
                    lhablock = 'KBDM',
                    lhacode = [ 5 ])

KBsDMbR = Parameter(name = 'KBsDMbR',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{KBsDMbR}',
                    lhablock = 'KBDM',
                    lhacode = [ 6 ])

KBvDMdL = Parameter(name = 'KBvDMdL',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{KBvDMdL}',
                    lhablock = 'KBDM',
                    lhacode = [ 7 ])

KBvDMsL = Parameter(name = 'KBvDMsL',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{KBvDMsL}',
                    lhablock = 'KBDM',
                    lhacode = [ 8 ])

KBvDMbL = Parameter(name = 'KBvDMbL',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{KBvDMbL}',
                    lhablock = 'KBDM',
                    lhacode = [ 9 ])

KBvDMdR = Parameter(name = 'KBvDMdR',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{KBvDMdR}',
                    lhablock = 'KBDM',
                    lhacode = [ 10 ])

KBvDMsR = Parameter(name = 'KBvDMsR',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{KBvDMsR}',
                    lhablock = 'KBDM',
                    lhacode = [ 11 ])

KBvDMbR = Parameter(name = 'KBvDMbR',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{KBvDMbR}',
                    lhablock = 'KBDM',
                    lhacode = [ 12 ])

KTsDMuL = Parameter(name = 'KTsDMuL',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{KTsDMuL}',
                    lhablock = 'KTDM',
                    lhacode = [ 1 ])

KTsDMcL = Parameter(name = 'KTsDMcL',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{KTsDMcL}',
                    lhablock = 'KTDM',
                    lhacode = [ 2 ])

KTsDMtL = Parameter(name = 'KTsDMtL',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{KTsDMtL}',
                    lhablock = 'KTDM',
                    lhacode = [ 3 ])

KTsDMuR = Parameter(name = 'KTsDMuR',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{KTsDMuR}',
                    lhablock = 'KTDM',
                    lhacode = [ 4 ])

KTsDMcR = Parameter(name = 'KTsDMcR',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{KTsDMcR}',
                    lhablock = 'KTDM',
                    lhacode = [ 5 ])

KTsDMtR = Parameter(name = 'KTsDMtR',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{KTsDMtR}',
                    lhablock = 'KTDM',
                    lhacode = [ 6 ])

KTvDMuL = Parameter(name = 'KTvDMuL',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{KTvDMuL}',
                    lhablock = 'KTDM',
                    lhacode = [ 7 ])

KTvDMcL = Parameter(name = 'KTvDMcL',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{KTvDMcL}',
                    lhablock = 'KTDM',
                    lhacode = [ 8 ])

KTvDMtL = Parameter(name = 'KTvDMtL',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{KTvDMtL}',
                    lhablock = 'KTDM',
                    lhacode = [ 9 ])

KTvDMuR = Parameter(name = 'KTvDMuR',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{KTvDMuR}',
                    lhablock = 'KTDM',
                    lhacode = [ 10 ])

KTvDMcR = Parameter(name = 'KTvDMcR',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{KTvDMcR}',
                    lhablock = 'KTDM',
                    lhacode = [ 11 ])

KTvDMtR = Parameter(name = 'KTvDMtR',
                    nature = 'external',
                    type = 'real',
                    value = 0,
                    texname = '\\text{KTvDMtR}',
                    lhablock = 'KTDM',
                    lhacode = [ 12 ])

aEWM1 = Parameter(name = 'aEWM1',
                  nature = 'external',
                  type = 'real',
                  value = 127.9,
                  texname = '\\text{aEWM1}',
                  lhablock = 'SMINPUTS',
                  lhacode = [ 1 ])

Gf = Parameter(name = 'Gf',
               nature = 'external',
               type = 'real',
               value = 0.0000116637,
               texname = 'G_f',
               lhablock = 'SMINPUTS',
               lhacode = [ 2 ])

aS = Parameter(name = 'aS',
               nature = 'external',
               type = 'real',
               value = 0.1184,
               texname = '\\alpha _s',
               lhablock = 'SMINPUTS',
               lhacode = [ 3 ])

TWeakIsospin = Parameter(name = 'TWeakIsospin',
                         nature = 'external',
                         type = 'real',
                         value = 0,
                         texname = '\\text{TWeakIsospin}',
                         lhablock = 'VLQQNUMBERS',
                         lhacode = [ 1 ])

BWeakIsospin = Parameter(name = 'BWeakIsospin',
                         nature = 'external',
                         type = 'real',
                         value = 0,
                         texname = '\\text{BWeakIsospin}',
                         lhablock = 'VLQQNUMBERS',
                         lhacode = [ 2 ])

ymb = Parameter(name = 'ymb',
                nature = 'external',
                type = 'real',
                value = 4.7,
                texname = '\\text{ymb}',
                lhablock = 'YUKAWA',
                lhacode = [ 5 ])

ymt = Parameter(name = 'ymt',
                nature = 'external',
                type = 'real',
                value = 172,
                texname = '\\text{ymt}',
                lhablock = 'YUKAWA',
                lhacode = [ 6 ])

ymtau = Parameter(name = 'ymtau',
                  nature = 'external',
                  type = 'real',
                  value = 1.777,
                  texname = '\\text{ymtau}',
                  lhablock = 'YUKAWA',
                  lhacode = [ 15 ])

MZ = Parameter(name = 'MZ',
               nature = 'external',
               type = 'real',
               value = 91.1876,
               texname = '\\text{MZ}',
               lhablock = 'MASS',
               lhacode = [ 23 ])

MTA = Parameter(name = 'MTA',
                nature = 'external',
                type = 'real',
                value = 1.777,
                texname = '\\text{MTA}',
                lhablock = 'MASS',
                lhacode = [ 15 ])

MT = Parameter(name = 'MT',
               nature = 'external',
               type = 'real',
               value = 172,
               texname = '\\text{MT}',
               lhablock = 'MASS',
               lhacode = [ 6 ])

MB = Parameter(name = 'MB',
               nature = 'external',
               type = 'real',
               value = 4.7,
               texname = '\\text{MB}',
               lhablock = 'MASS',
               lhacode = [ 5 ])

MH = Parameter(name = 'MH',
               nature = 'external',
               type = 'real',
               value = 125,
               texname = '\\text{MH}',
               lhablock = 'MASS',
               lhacode = [ 25 ])

MBP = Parameter(name = 'MBP',
                nature = 'external',
                type = 'real',
                value = 600,
                texname = '\\text{MBP}',
                lhablock = 'MASS',
                lhacode = [ 6000005 ])

MTP = Parameter(name = 'MTP',
                nature = 'external',
                type = 'real',
                value = 600,
                texname = '\\text{MTP}',
                lhablock = 'MASS',
                lhacode = [ 6000006 ])

Mvdm = Parameter(name = 'Mvdm',
                 nature = 'external',
                 type = 'real',
                 value = 70,
                 texname = '\\text{Mvdm}',
                 lhablock = 'MASS',
                 lhacode = [ 6000009 ])

Msdm = Parameter(name = 'Msdm',
                 nature = 'external',
                 type = 'real',
                 value = 70,
                 texname = '\\text{Msdm}',
                 lhablock = 'MASS',
                 lhacode = [ 6000008 ])

WZ = Parameter(name = 'WZ',
               nature = 'external',
               type = 'real',
               value = 2.4952,
               texname = '\\text{WZ}',
               lhablock = 'DECAY',
               lhacode = [ 23 ])

WW = Parameter(name = 'WW',
               nature = 'external',
               type = 'real',
               value = 2.085,
               texname = '\\text{WW}',
               lhablock = 'DECAY',
               lhacode = [ 24 ])

WT = Parameter(name = 'WT',
               nature = 'external',
               type = 'real',
               value = 1.50833649,
               texname = '\\text{WT}',
               lhablock = 'DECAY',
               lhacode = [ 6 ])

WH = Parameter(name = 'WH',
               nature = 'external',
               type = 'real',
               value = 0.00407,
               texname = '\\text{WH}',
               lhablock = 'DECAY',
               lhacode = [ 25 ])

WBP = Parameter(name = 'WBP',
                nature = 'external',
                type = 'real',
                value = 1,
                texname = '\\text{WBP}',
                lhablock = 'DECAY',
                lhacode = [ 6000005 ])

WTP = Parameter(name = 'WTP',
                nature = 'external',
                type = 'real',
                value = 1,
                texname = '\\text{WTP}',
                lhablock = 'DECAY',
                lhacode = [ 6000006 ])

BHypercharge = Parameter(name = 'BHypercharge',
                         nature = 'internal',
                         type = 'real',
                         value = '-0.3333333333333333 - TWeakIsospin',
                         texname = '\\text{BHypercharge}')

THypercharge = Parameter(name = 'THypercharge',
                         nature = 'internal',
                         type = 'real',
                         value = '0.6666666666666666 - TWeakIsospin',
                         texname = '\\text{THypercharge}')

aEW = Parameter(name = 'aEW',
                nature = 'internal',
                type = 'real',
                value = '1/aEWM1',
                texname = '\\alpha _{\\text{EW}}')

G = Parameter(name = 'G',
              nature = 'internal',
              type = 'real',
              value = '2*cmath.sqrt(aS)*cmath.sqrt(cmath.pi)',
              texname = 'G')

MW = Parameter(name = 'MW',
               nature = 'internal',
               type = 'real',
               value = 'cmath.sqrt(MZ**2/2. + cmath.sqrt(MZ**4/4. - (aEW*cmath.pi*MZ**2)/(Gf*cmath.sqrt(2))))',
               texname = 'M_W')

ee = Parameter(name = 'ee',
               nature = 'internal',
               type = 'real',
               value = '2*cmath.sqrt(aEW)*cmath.sqrt(cmath.pi)',
               texname = 'e')

sw2 = Parameter(name = 'sw2',
                nature = 'internal',
                type = 'real',
                value = '1 - MW**2/MZ**2',
                texname = '\\text{sw2}')

cw = Parameter(name = 'cw',
               nature = 'internal',
               type = 'real',
               value = 'cmath.sqrt(1 - sw2)',
               texname = 'c_w')

sw = Parameter(name = 'sw',
               nature = 'internal',
               type = 'real',
               value = 'cmath.sqrt(sw2)',
               texname = 's_w')

g1 = Parameter(name = 'g1',
               nature = 'internal',
               type = 'real',
               value = 'ee/cw',
               texname = 'g_1')

gw = Parameter(name = 'gw',
               nature = 'internal',
               type = 'real',
               value = 'ee/sw',
               texname = 'g_w')

vev = Parameter(name = 'vev',
                nature = 'internal',
                type = 'real',
                value = '(2*MW*sw)/ee',
                texname = '\\text{vev}')

lam = Parameter(name = 'lam',
                nature = 'internal',
                type = 'real',
                value = 'MH**2/(2.*vev**2)',
                texname = '\\text{lam}')

yb = Parameter(name = 'yb',
               nature = 'internal',
               type = 'real',
               value = '(ymb*cmath.sqrt(2))/vev',
               texname = '\\text{yb}')

yt = Parameter(name = 'yt',
               nature = 'internal',
               type = 'real',
               value = '(ymt*cmath.sqrt(2))/vev',
               texname = '\\text{yt}')

ytau = Parameter(name = 'ytau',
                 nature = 'internal',
                 type = 'real',
                 value = '(ymtau*cmath.sqrt(2))/vev',
                 texname = '\\text{ytau}')

muH = Parameter(name = 'muH',
                nature = 'internal',
                type = 'real',
                value = 'cmath.sqrt(lam*vev**2)',
                texname = '\\mu')

I1a33 = Parameter(name = 'I1a33',
                  nature = 'internal',
                  type = 'complex',
                  value = 'yb',
                  texname = '\\text{I1a33}')

I2a33 = Parameter(name = 'I2a33',
                  nature = 'internal',
                  type = 'complex',
                  value = 'yt',
                  texname = '\\text{I2a33}')

I3a33 = Parameter(name = 'I3a33',
                  nature = 'internal',
                  type = 'complex',
                  value = 'yt',
                  texname = '\\text{I3a33}')

I4a33 = Parameter(name = 'I4a33',
                  nature = 'internal',
                  type = 'complex',
                  value = 'yb',
                  texname = '\\text{I4a33}')

